# Observation $observation-create

`POST /Observation/$observation-create`

This resource contains one or more results, findings, or measurements to inform a patient’s clinical condition (e.g., vitals, imaging results, lab results, device measurements).

Observations can help to identify baselines and patterns or define personal characteristics for a patient (e.g., height, weight, eye color). A `DiagnosticReport` resource may reference `Observation` resources to provide the metadata for a complete diagnostic report.  

You can review, retrieve, create, or update observations for a patient. 

> **Supported fields and schema examples**
>
> We support any valid FHIR field. However, we only display fields we’ve defined in our schema, which are usually based on what’s included in the U.S. Core profile. We recommend relying on U.S. Core requirements. 
>
> Our schema examples show the shape and possibility of each FHIR resource; they aren’t code for real-time API calls. We don’t currently recommend copying and pasting these schema examples for your API calls. [Consider reviewing FHIR API actions](/fhir-api-actions) for realistic examples for particular use cases.

### $observation-create

Save a standalone or collection of observations to your connection's system. [Review tips for saving vitals](https://docs.redoxengine.com/permalink/7sHxNkqzQ9SOk3SExz3uYp).

To create an entire report, use the `DiagnosticReport$diagnosticreport-create` operation instead. 

## Request body

Bundle sent as part of a Observation-create message

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `resourceType` | string | Yes | Identifies the type of the resource. Value: Bundle |
| `type` | string | Yes | Identifies this bundle as a message. Value: message |
| `entry` | Array of messageHeader or patient or observation or encounter or organization or Other | Yes | Results are typically written as a collection of Observation resources grouped into a DiagnosticReport. To create an entire report, use the `DiagnosticReport-create` operation. Use this endpoint only to create standalone Observations. An array of FHIR resources. At a minimum, an Observation Result should include the following entries: - Patient - the patient - Observation - the observation result |
| `entry[] (messageHeader).resource` | object | Yes | Additional metadata about the message including the event |
| `entry[] (messageHeader).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: MessageHeader |
| `entry[] (messageHeader).resource.source` | object | Yes | Information about the sender of the message and the Bundle content. |
| `entry[] (messageHeader).resource.source.endpoint` | string | Yes | Identifies the routing target to send acknowledgements to. |
| `entry[] (messageHeader).resource.source.name` | string | No | Human-readable name for the source system. |
| `entry[] (messageHeader).resource.focus` | Array of object | Yes | This describes the focal target resource of the message from which the remainder of the content is referenced from Must be a resource of type `Observation`. |
| `entry[] (messageHeader).resource.focus[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (messageHeader).resource.eventUri` | string | Yes | This describes the message being communicated |
| `entry[] (patient).resource` | object | Yes | The Patient associated with the observation object |
| `entry[] (patient).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Patient |
| `entry[] (patient).resource.identifier` | Array of object | Yes | An identifier for this patient. |
| `entry[] (patient).resource.identifier[].value` | string | Yes | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (patient).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (patient).resource.identifier[].type` | object | No | A coded type for the identifier that can be used to determine which identifier to use for a specific purpose. |
| `entry[] (patient).resource.identifier[].type.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.name` | Array of object | Yes | A name associated with the individual. |
| `entry[] (patient).resource.name[].family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.name[].given` | Array of string | No | Given name. |
| `entry[] (patient).resource.name[].use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.gender` | string | Yes | Administrative Gender - the gender that the patient is considered to have for administration and record keeping purposes. Possible values: (USCDI) male, female, other, unknown |
| `entry[] (patient).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (patient).resource.extension` | Array of race or ethnicity or birthsex or patient-citizenship or Other | No | Additional information about patients not represented by standard FHIR fields. |
| `entry[] (patient).resource.extension[] (race).extension` | Array of ombCategory or text | Yes | Sub-extensions to carry more information about the patient's ethnicity |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: ombCategory |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).valueCoding` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (race).extension[] (ombCategory).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (race).extension[] (text).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: text |
| `entry[] (patient).resource.extension[] (race).extension[] (text).valueString` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (race).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-race |
| `entry[] (patient).resource.extension[] (ethnicity).extension` | Array of ombCategory or text | Yes | An Extension |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: ombCategory |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (ombCategory).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (text).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: text |
| `entry[] (patient).resource.extension[] (ethnicity).extension[] (text).valueString` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (ethnicity).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity |
| `entry[] (patient).resource.extension[] (birthsex).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/us/core/StructureDefinition/us-core-birthsex |
| `entry[] (patient).resource.extension[] (birthsex).valueCode` | string | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). Only one of `valueBase64Binary`, `valueBoolean`, `valueCanonical`, `valueCode`, `valueDate`, `valueDateTime`, `valueDecimal`, `valueId`, `valueInstant`, `valueInteger`, `valueMarkdown`, `valueOid`, `valuePositiveInt`, `valueString`, `valueTime`, `valueUnsignedInt`, `valueUri`, `valueUrl`, `valueUuid`, `valueAddress`, `valueAge`, `valueAnnotation`, `valueAttachment`, `valueCodeableConcept`, `valueCoding`, `valueContactPoint`, `valueCount`, `valueDistance`, `valueDuration`, `valueHumanName`, `valueIdentifier`, `valueMoney`, `valuePeriod`, `valueQuantity`, `valueRange`, `valueRatio`, `valueReference`, `valueSampledData`, `valueSignature`, `valueTiming`, `valueContactDetail`, `valueContributor`, `valueDataRequirement`, `valueExpression`, `valueParameterDefinition`, `valueRelatedArtifact`, `valueTriggerDefinition`, `valueUsageContext`, `valueDosage`, `valueMeta` may be present. Possible values: M, F |
| `entry[] (patient).resource.extension[] (patient-citizenship).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/patient-citizenship |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension` | Array of object | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: code |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept` | object | Yes | Value of extension - must be one of a constrained set of the data types (see [Extensibility](http://hl7.org/fhir/R4/extensibility.html) for a list). |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (patient-citizenship).extension[].valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (patient).resource.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (patient).resource.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (patient).resource.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (patient).resource.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.active` | boolean | No | Whether this patient record is in active use. Many systems use this property to mark as non-current patients, such as those that have not been seen for a period of time based on an organization's business rules. It is often used to filter patient lists to exclude inactive patients Deceased patients may also be marked as inactive for the same reasons, but may be active for some time after death. |
| `entry[] (patient).resource.telecom` | Array of object | No | A contact detail (e.g. a telephone number or an email address) by which the individual may be contacted. |
| `entry[] (patient).resource.telecom[].system` | string | Yes | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: email, fax, other, pager, sms, url |
| `entry[] (patient).resource.telecom[].value` | string | Yes | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (patient).resource.telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: mobile, old, temp, work |
| `entry[] (patient).resource.birthDate` | string | No | The date of birth for the individual. |
| `entry[] (patient).resource.address` | Array of object | No | An address for the individual. |
| `entry[] (patient).resource.address[].line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (patient).resource.address[].city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (patient).resource.address[].state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (patient).resource.address[].postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (patient).resource.address[].use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (patient).resource.address[].district` | string | No | The name of the administrative area (county). |
| `entry[] (patient).resource.address[].country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (patient).resource.contact` | Array of object | No | A contact party (e.g. guardian, partner, friend) for the patient. |
| `entry[] (patient).resource.contact[].relationship` | Array of object | No | The nature of the relationship between the patient and the contact. Redox sends and recognizes the following values for system: - `http://terminology.hl7.org/CodeSystem/v3-RoleCode` - used as RelationToPatient - `http://terminology.hl7.org/CodeSystem/v2-0131` - used as the ContactRole |
| `entry[] (patient).resource.contact[].relationship[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.contact[].relationship[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.contact[].relationship[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.contact[].relationship[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.contact[].name` | object | No | A name associated with the contact person. |
| `entry[] (patient).resource.contact[].name.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (patient).resource.contact[].name.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (patient).resource.contact[].name.given` | Array of string | No | Given name. |
| `entry[] (patient).resource.contact[].telecom` | Array of object | No | A contact detail for the person, e.g. a telephone number or an email address. |
| `entry[] (patient).resource.contact[].telecom[].system` | string | No | Telecommunications form for contact point - what communications system is required to make use of the contact. Possible values: phone, fax, email, pager, url, sms, other |
| `entry[] (patient).resource.contact[].telecom[].value` | string | No | The actual contact point details, in a form that is meaningful to the designated communication system (i.e. phone number or email address). |
| `entry[] (patient).resource.contact[].telecom[].use` | string | No | Identifies the purpose for the contact point. Possible values: home, work, temp, old, mobile |
| `entry[] (patient).resource.contact[].address` | object | No | Address for the contact person. |
| `entry[] (patient).resource.contact[].address.use` | string | No | The purpose of this address. Possible values: home, work, temp, old, billing |
| `entry[] (patient).resource.contact[].address.line` | Array of string | No | This component contains the house number, apartment number, street name, street direction,  P.O. Box number, delivery hints, and similar address information. |
| `entry[] (patient).resource.contact[].address.city` | string | No | The name of the city, town, suburb, village or other community or delivery center. |
| `entry[] (patient).resource.contact[].address.district` | string | No | The name of the administrative area (county). |
| `entry[] (patient).resource.contact[].address.state` | string | No | Sub-unit of a country with limited sovereignty in a federally organized country. A code may be used if codes are in common use (e.g. US 2 letter state codes). |
| `entry[] (patient).resource.contact[].address.postalCode` | string | No | A postal code designating a region defined by the postal service. |
| `entry[] (patient).resource.contact[].address.country` | string | No | Country - a nation as commonly understood or generally accepted. |
| `entry[] (patient).resource.communication` | Array of object | No | A language which may be used to communicate with the patient about his or her health. |
| `entry[] (patient).resource.communication[].language` | object | Yes | The ISO-639-1 alpha 2 code in lower case for the language, optionally followed by a hyphen and the ISO-3166-1 alpha 2 code for the region in upper case; e.g. "en" for English, or "en-US" for American English versus "en-EN" for England English. |
| `entry[] (patient).resource.communication[].language.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (patient).resource.communication[].language.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (patient).resource.communication[].language.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (patient).resource.communication[].language.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (patient).resource.generalPractitioner` | Array of object | No | Patient's nominated care provider. Must be a resource of type `Practitioner`. |
| `entry[] (patient).resource.generalPractitioner[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.managingOrganization` | object | No | Organization that is the custodian of the patient record. Must be a resource of type `Organization`. |
| `entry[] (patient).resource.managingOrganization.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.link` | Array of object | No | Link to another patient resource that concerns the same actual patient. |
| `entry[] (patient).resource.link[].other` | object | Yes | The other patient resource that the link refers to. Must be a resource of type `Patient`. |
| `entry[] (patient).resource.link[].other.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (patient).resource.link[].type` | string | Yes | The type of link between this patient resource and another patient resource. Possible values: replaced-by, replaces |
| `entry[] (patient).resource.deceasedBoolean` | boolean | No | Indicates if the individual is deceased or not. Only one of `deceasedBoolean`, `deceasedDateTime` may be present. |
| `entry[] (patient).resource.deceasedDateTime` | string | No | Indicates if the individual is deceased or not. Only one of `deceasedBoolean`, `deceasedDateTime` may be present. |
| `entry[] (observation).resource` | object | Yes | The Observation |
| `entry[] (observation).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Observation |
| `entry[] (observation).resource.status` | string | Yes | The status of the result value. Possible values: registered, preliminary, final, amended, corrected, cancelled, entered-in-error, unknown |
| `entry[] (observation).resource.category` | Array of us-core or Other | Yes | A code that classifies the general type of observation being made. |
| `entry[] (observation).resource.category[] (us-core).coding` | Array of object | Yes | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.category[] (us-core).coding[].system` | string | Yes | The identification of the code system that defines the meaning of the symbol in the code. Value: http://terminology.hl7.org/CodeSystem/observation-category |
| `entry[] (observation).resource.category[] (us-core).coding[].code` | string | Yes | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). Value: laboratory |
| `entry[] (observation).resource.category[] (us-core).text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.category[] (Other).coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.category[] (Other).coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.category[] (Other).coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.category[] (Other).text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.code` | object | Yes | The name of the clinical test or procedure performed on a patient.  A LOINC **SHALL** be used if the concept is present in LOINC. |
| `entry[] (observation).resource.code.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.code.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.code.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.code.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.subject` | object | Yes | The patient, or group of patients, location, or device this observation is about and into whose record the observation is placed. If the actual focus of the observation is different from the subject (or a sample of, part, or region of the subject), the `focus` element or the `code` itself specifies the actual focus of the observation. Must be a resource of type `Patient`. |
| `entry[] (observation).resource.subject.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (observation).resource.id` | string | No | The logical id of the resource, as used in the URL for the resource. Once assigned, this value never changes. |
| `entry[] (observation).resource.extension` | Array of ObservationAttachment or Other | No | May be used to represent additional information that is not part of the basic definition of the resource. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (observation).resource.extension[] (ObservationAttachment).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/5.0/StructureDefinition/extension-Observation.valueAttachment |
| `entry[] (observation).resource.extension[] (ObservationAttachment).valueAttachment` | object | No | Attachment representing the value of the Observation. |
| `entry[] (observation).resource.extension[] (ObservationAttachment).valueAttachment.contentType` | string | No | Identifies the type of the data in the attachment and allows a method to be chosen to interpret or render the data. Includes mime type parameters such as charset where appropriate. |
| `entry[] (observation).resource.extension[] (ObservationAttachment).valueAttachment.data` | string | No | The actual data of the attachment - a sequence of bytes, base64 encoded. |
| `entry[] (observation).resource.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (observation).resource.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (observation).resource.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (observation).resource.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (observation).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (observation).resource.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (observation).resource.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (observation).resource.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (observation).resource.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (observation).resource.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (observation).resource.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (observation).resource.identifier` | Array of object | No | A unique identifier assigned to this observation. |
| `entry[] (observation).resource.identifier[].extension` | Array of Boolean or String or CodeableConcept or Coding or HumanName or Reference | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (observation).resource.identifier[].extension[] (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.identifier[].extension[] (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (observation).resource.identifier[].extension[] (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.identifier[].extension[] (String).valueString` | string | No | A single value for the extension. |
| `entry[] (observation).resource.identifier[].extension[] (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (observation).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.identifier[].extension[] (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.identifier[].extension[] (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.identifier[].extension[] (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (observation).resource.identifier[].extension[] (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.identifier[].extension[] (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.identifier[].extension[] (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.identifier[].extension[] (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (observation).resource.identifier[].extension[] (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (observation).resource.identifier[].extension[] (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (observation).resource.identifier[].extension[] (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (observation).resource.identifier[].extension[] (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.identifier[].extension[] (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (observation).resource.identifier[].extension[] (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (observation).resource.identifier[].use` | string | No | The purpose of this identifier. Possible values: usual, official, temp, secondary, old (If known) |
| `entry[] (observation).resource.identifier[].system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (observation).resource.identifier[].value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (observation).resource.basedOn` | Array of object | No | A plan, proposal or order that is fulfilled in whole or in part by this event.  For example, a MedicationRequest may require a patient to have laboratory test performed before  it is dispensed. Must reference one of the following types of resources: - `CarePlan` - `DeviceRequest` - `ImmunizationRecommendation` - `MedicationRequest` - `NutritionOrder` - `ServiceRequest` |
| `entry[] (observation).resource.basedOn[].type` | string | No | The expected type of the target of the reference. If both Reference.type and Reference.reference are populated and Reference.reference is a FHIR URL, both SHALL be consistent. The type is the Canonical URL of Resource Definition that is the type this reference refers to. References are URLs that are relative to http://hl7.org/fhir/StructureDefinition/ e.g. "Patient" is a reference to http://hl7.org/fhir/StructureDefinition/Patient. Absolute URLs are only allowed for logical models (and can only be used in references in logical models, not resources). |
| `entry[] (observation).resource.basedOn[].identifier` | object | No | An identifier for the target resource. This is used when there is no way to reference the other resource directly, either because the entity it represents is not available through a FHIR server, or because there is no way for the author of the resource to convert a known identifier to an actual location. There is no requirement that a Reference.identifier point to something that is actually exposed as a FHIR instance, but it SHALL point to a business concept that would be expected to be exposed as a FHIR instance, and that instance would need to be of a FHIR resource type allowed by the reference. |
| `entry[] (observation).resource.basedOn[].identifier.system` | string | No | Establishes the namespace for the value - that is, a URL that describes a set values that are unique. |
| `entry[] (observation).resource.basedOn[].identifier.value` | string | No | The portion of the identifier typically relevant to the user and which is unique within the context of the system. |
| `entry[] (observation).resource.encounter` | object | No | The healthcare event  (e.g. a patient and healthcare provider interaction) during which this observation is made. Must be a resource of type `Encounter`. |
| `entry[] (observation).resource.encounter.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (observation).resource.issued` | string | No | The date and time this version of the observation was made available to providers, typically after the results have been reviewed and verified. |
| `entry[] (observation).resource.performer` | Array of object | No | Who was responsible for asserting the observed value. This may be an organization representing the lab where the result was produced or a Practitioner representing a technician who processed the result. Must reference one of the following types of resources: - `Organization` - `Practitioner` |
| `entry[] (observation).resource.performer[].reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (observation).resource.interpretation` | Array of object | No | A categorical assessment of an observation value.  For example, high, low, normal. |
| `entry[] (observation).resource.interpretation[].coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.interpretation[].coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.interpretation[].coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.interpretation[].text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.note` | Array of object | No | Comments about the observation or the results. |
| `entry[] (observation).resource.note[].text` | string | Yes | The text of the annotation in markdown format. |
| `entry[] (observation).resource.method` | object | No | Indicates the mechanism used to perform the observation. |
| `entry[] (observation).resource.method.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.method.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.method.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.method.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.specimen` | object | No | The specimen that was used when this observation was made. Must be a resource of type `Specimen`. |
| `entry[] (observation).resource.specimen.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (observation).resource.referenceRange` | Array of object | No | Guidance on how to interpret the value by comparison to a normal or recommended range.  Multiple reference ranges are interpreted as an "OR".   In other words, to represent two distinct target populations, two `referenceRange` elements would be used. |
| `entry[] (observation).resource.referenceRange[].low` | object | No | The value of the low bound of the reference range.  The low bound of the reference range endpoint is inclusive of the value (e.g.  reference range is >=5 - <=9). If the low bound is omitted,  it is assumed to be meaningless (e.g. reference range is <=2.3). |
| `entry[] (observation).resource.referenceRange[].low.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (observation).resource.referenceRange[].low._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (observation).resource.referenceRange[].low._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (observation).resource.referenceRange[].low._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (observation).resource.referenceRange[].low.unit` | string | No | A human-readable form of the unit. |
| `entry[] (observation).resource.referenceRange[].high` | object | No | The value of the high bound of the reference range.  The high bound of the reference range endpoint is inclusive of the value (e.g.  reference range is >=5 - <=9). If the high bound is omitted,  it is assumed to be meaningless (e.g. reference range is >= 2.3). |
| `entry[] (observation).resource.referenceRange[].high.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (observation).resource.referenceRange[].high._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (observation).resource.referenceRange[].high._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (observation).resource.referenceRange[].high._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (observation).resource.referenceRange[].high.unit` | string | No | A human-readable form of the unit. |
| `entry[] (observation).resource.referenceRange[].text` | string | No | Text based reference range in an observation which may be used when a quantitative range is not appropriate for an observation.  An example would be a reference value of "Negative" or a list or table of "normals". |
| `entry[] (observation).resource.effectiveDateTime` | string | No | The time or time-period the observed value is asserted as being true. For biological subjects - e.g. human patients - this is usually called the "physiologically relevant time". This is usually either the time of the procedure or of specimen collection, but very often the source of the date/time is not known, only the date/time itself. |
| `entry[] (observation).resource.valueQuantity` | object | No | The Laboratory result value.  If a coded value,  the valueCodeableConcept.code **SHOULD** be selected from [SNOMED CT](http://hl7.org/fhir/ValueSet/uslab-obs-codedresults) if the concept exists. If a numeric value, valueQuantity.code **SHALL** be selected from [UCUM](http://unitsofmeasure.org).  A FHIR [UCUM Codes value set](http://hl7.org/fhir/STU3/valueset-ucum-units.html) that defines all UCUM codes is in the FHIR specification. Only one of `valueQuantity`, `valueCodeableConcept`, `valueString`, `valueRange`, `valueRatio` may be present. |
| `entry[] (observation).resource.valueQuantity.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (observation).resource.valueQuantity._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (observation).resource.valueQuantity._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueQuantity._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (observation).resource.valueQuantity.unit` | string | No | A human-readable form of the unit. |
| `entry[] (observation).resource.valueCodeableConcept` | object | No | The Laboratory result value.  If a coded value,  the valueCodeableConcept.code **SHOULD** be selected from [SNOMED CT](http://hl7.org/fhir/ValueSet/uslab-obs-codedresults) if the concept exists. If a numeric value, valueQuantity.code **SHALL** be selected from [UCUM](http://unitsofmeasure.org).  A FHIR [UCUM Codes value set](http://hl7.org/fhir/STU3/valueset-ucum-units.html) that defines all UCUM codes is in the FHIR specification. Only one of `valueQuantity`, `valueCodeableConcept`, `valueString`, `valueRange`, `valueRatio` may be present. |
| `entry[] (observation).resource.valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.valueString` | string | No | The Laboratory result value.  If a coded value,  the valueCodeableConcept.code **SHOULD** be selected from [SNOMED CT](http://hl7.org/fhir/ValueSet/uslab-obs-codedresults) if the concept exists. If a numeric value, valueQuantity.code **SHALL** be selected from [UCUM](http://unitsofmeasure.org).  A FHIR [UCUM Codes value set](http://hl7.org/fhir/STU3/valueset-ucum-units.html) that defines all UCUM codes is in the FHIR specification. Only one of `valueQuantity`, `valueCodeableConcept`, `valueString`, `valueRange`, `valueRatio` may be present. |
| `entry[] (observation).resource.valueRange` | object | No | The Laboratory result value.  If a coded value,  the valueCodeableConcept.code **SHOULD** be selected from [SNOMED CT](http://hl7.org/fhir/ValueSet/uslab-obs-codedresults) if the concept exists. If a numeric value, valueQuantity.code **SHALL** be selected from [UCUM](http://unitsofmeasure.org).  A FHIR [UCUM Codes value set](http://hl7.org/fhir/STU3/valueset-ucum-units.html) that defines all UCUM codes is in the FHIR specification. Only one of `valueQuantity`, `valueCodeableConcept`, `valueString`, `valueRange`, `valueRatio` may be present. |
| `entry[] (observation).resource.valueRange.low` | object | No | The low limit. The boundary is inclusive. |
| `entry[] (observation).resource.valueRange.low.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (observation).resource.valueRange.low._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (observation).resource.valueRange.low._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRange.low._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (observation).resource.valueRange.low.unit` | string | No | A human-readable form of the unit. |
| `entry[] (observation).resource.valueRange.high` | object | No | The high limit. The boundary is inclusive. |
| `entry[] (observation).resource.valueRange.high.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (observation).resource.valueRange.high._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (observation).resource.valueRange.high._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRange.high._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (observation).resource.valueRange.high.unit` | string | No | A human-readable form of the unit. |
| `entry[] (observation).resource.valueRatio` | object | No | The Laboratory result value.  If a coded value,  the valueCodeableConcept.code **SHOULD** be selected from [SNOMED CT](http://hl7.org/fhir/ValueSet/uslab-obs-codedresults) if the concept exists. If a numeric value, valueQuantity.code **SHALL** be selected from [UCUM](http://unitsofmeasure.org).  A FHIR [UCUM Codes value set](http://hl7.org/fhir/STU3/valueset-ucum-units.html) that defines all UCUM codes is in the FHIR specification. Only one of `valueQuantity`, `valueCodeableConcept`, `valueString`, `valueRange`, `valueRatio` may be present. |
| `entry[] (observation).resource.valueRatio.numerator` | object | No | The value of the numerator. |
| `entry[] (observation).resource.valueRatio.numerator.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (observation).resource.valueRatio.numerator._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRatio.numerator._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (observation).resource.valueRatio.numerator.unit` | string | No | A human-readable form of the unit. |
| `entry[] (observation).resource.valueRatio.denominator` | object | No | The value of the denominator. |
| `entry[] (observation).resource.valueRatio.denominator.value` | number | No | The value of the measured amount. The value includes an implicit precision in the presentation of the value. |
| `entry[] (observation).resource.valueRatio.denominator._value` | object | No | This element contains extensions for `value`. Depending on the extensions present it could be used in place of `value` or contain additional information about `value`. See the `extension` element for more details on the possible extensions being sent. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension` | Array of Precision or Other | No | A Precision extension allows the communication of values more precise than a JSON number, for example, `3.10` as opposed to just `3.1`. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Precision).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/quantity-precision |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Precision).valueInteger` | number | Yes | Number of significant decimal places after the decimal. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (CodeableConcept).valueCodeableConcept.text` | string | No | A human language representation of the concept as seen/selected/uttered by the user who entered the data and/or which represents the intended meaning of the user. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (Coding).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (Coding).valueCoding` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (Coding).valueCoding.system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (Coding).valueCoding.code` | string | No | A symbol in syntax defined by the system. The symbol may be a predefined code or an expression in a syntax defined by the coding system (e.g. post-coordination). |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (HumanName).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (HumanName).valueHumanName` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (HumanName).valueHumanName.use` | string | No | Identifies the purpose for this name. Possible values: usual, official, temp, nickname, anonymous, old, maiden |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (HumanName).valueHumanName.family` | string | No | The part of a name that links to the genealogy. In some cultures (e.g. Eritrea) the family name of a son is the first name of his father. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (HumanName).valueHumanName.given` | Array of string | No | Given name. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (Reference).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (Reference).valueReference` | object | No | A single value for the extension. |
| `entry[] (observation).resource.valueRatio.denominator._value.extension[] (Other) (Reference).valueReference.reference` | string | No | A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with `#` and refers to a contained resource. |
| `entry[] (observation).resource.valueRatio.denominator.unit` | string | No | A human-readable form of the unit. |
| `entry[] (encounter).resource` | object | Yes | The Encounter associated with this observation |
| `entry[] (encounter).resource.resourceType` | string | Yes | Identifies the type of the resource. Value: Encounter |
| `entry[] (encounter).resource.status` | string | Yes | Current status of the encounter. Possible values: planned, arrived, triaged, in-progress, onleave, finished, cancelled, entered-in-error, unknown |
| `entry[] (encounter).resource.class` | object | Yes | Concepts representing classification of patient encounter such as ambulatory (outpatient), inpatient, emergency, home health or others due to local variations. |
| `entry[] (encounter).resource.class.extension` | Array of OriginalText or Other | No | May be used to represent additional information that is not part of the basic definition of the element. To make the use of extensions safe and manageable, there is a strict set of governance  applied to the definition and use of extensions. Though any implementer can define an extension, there is a set of requirements that SHALL be met as part of the definition of the extension. |
| `entry[] (encounter).resource.class.extension[] (OriginalText).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. Value: http://hl7.org/fhir/StructureDefinition/originalText |
| `entry[] (encounter).resource.class.extension[] (OriginalText).valueString` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (encounter).resource.class.extension[] (OriginalText).valueUrl` | string | Yes | The original text Only one of `valueString`, `valueUrl` may be present. |
| `entry[] (encounter).resource.class.extension[] (Other)` | Boolean or String or CodeableConcept or Coding or HumanName or Reference | No |  |
| `entry[] (encounter).resource.class.extension[] (Other) (Boolean).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.class.extension[] (Other) (Boolean).valueBoolean` | boolean | No | A single value for the extension. |
| `entry[] (encounter).resource.class.extension[] (Other) (String).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.class.extension[] (Other) (String).valueString` | string | No | A single value for the extension. |
| `entry[] (encounter).resource.class.extension[] (Other) (CodeableConcept).url` | string | Yes | Source of the definition for the extension code - a logical name or a URL. |
| `entry[] (encounter).resource.class.extension[] (Other) (CodeableConcept).valueCodeableConcept` | object | No | A single value for the extension. |
| `entry[] (encounter).resource.class.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding` | Array of object | No | A reference to a code defined by a terminology system. |
| `entry[] (encounter).resource.class.extension[] (Other) (CodeableConcept).valueCodeableConcept.coding[].system` | string | No | The identification of the code system that defines the meaning of the symbol in the code. |
[...]
